#!/bin/bash

# uninstall logic for DiversaBackup PRO 6.17.0.2
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/DiversaBackup PRO/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for DiversaBackup PRO"
    touch "/Applications/DiversaBackup PRO/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/DiversaBackup PRO/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for DiversaBackup PRO"
    sh "/Applications/DiversaBackup PRO/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/DiversaBackup PRO/bin/taskkill" "/Applications/DiversaBackup PRO/BackupManager.app"
sh "/Applications/DiversaBackup PRO/bin/taskkill" "/Applications/DiversaBackup PRO/bin/BackupManager.app"
sh "/Applications/DiversaBackup PRO/bin/taskkill" "/Applications/DiversaBackup PRO/jvm/bin/java"
sh "/Applications/DiversaBackup PRO/bin/taskkill" "/Applications/DiversaBackup PRO/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/DiversaBackupPRO" ]; then
    echo "Remove Scheduler for DiversaBackup PRO from service"
    rm -rf "/Library/StartupItems/DiversaBackupPRO"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/DiversaBackupPRO-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for DiversaBackup PRO from service"
    rm -rf "/Library/StartupItems/DiversaBackupPRO-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/DiversaBackupPRO" ]; then
        echo "Remove Desktop Link DiversaBackupPRO from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/DiversaBackupPRO"
        echo "Removed DiversaBackup PRO Desktop Link"
    fi

    if [ -e "${DESKTOP_PATH}/DiversaBackup PRO" ]; then
        echo "Remove Desktop Link DiversaBackup PRO from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/DiversaBackup PRO"
        echo "Removed DiversaBackup PRO Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove DiversaBackup PRO
cd /
if [ -e "/Applications/DiversaBackup PRO" ]; then
    echo "Remove DiversaBackup PRO from Your Mac OS X"
    rm -rf "/Applications/DiversaBackup PRO"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/obm.pkg" ]; then
    echo "Remove Mac OS X Receipt for obm.pkg (Path: /Library/Receipts/obm.pkg)"
    rm -rf "/Library/Receipts/obm.pkg"
fi
